import { ICodeMagicWorkflow, IPreparedSteps } from '../models/SidiModel';
import { SidiConfig } from '../main/SidiConfig';
import { GluegunToolbox } from 'gluegun';
import { WorkflowConfig } from '../main/WorkflowConfig';
export declare class CodeMagicYaml {
    scripts: any;
    workflows: {
        [key: string]: ICodeMagicWorkflow;
    };
    constructor(sidiConfig: SidiConfig, preparedSteps: IPreparedSteps);
    getWorkflowPublishingBlock(workflowConfig: WorkflowConfig): any;
    generateYAMLs(toolbox: GluegunToolbox, sidiConfig: SidiConfig, preparedSteps: IPreparedSteps): Promise<void>;
}
