import { IPreparedSteps } from '../models/SidiModel';
import { GluegunToolbox } from 'gluegun';
import { SidiConfig } from '../main/SidiConfig';
/**
  Will check each workflow, and inject all required things
    - mandatory steps to each workflow
    - based on steps choose by user it will inject:
      - mandatory keys
      - steps linked to the chosen step
    - requets custom steps
    - set global steps
    - prepare keys to generate the secret file at the end
 */
export declare function prepareSteps(toolbox: GluegunToolbox, sidiConfig: SidiConfig): Promise<IPreparedSteps>;
