import { GluegunToolbox } from 'gluegun';
import { WorkflowConfig } from '../main/WorkflowConfig';
/**
   Request to user if want to inject any custom steps
   These steps should be placed into .sidi/customSteps/xxx/step.yml

   @param toolbox: GluegunToolbox
   @param workflowConfig: workflow it will add custom steps
   @param isPublishingStep to know if the custom step is for the build or for the publishing section
 */
export declare function requestCustomSteps(toolbox: GluegunToolbox, workflowConfig: WorkflowConfig, isPublishingStep?: boolean): Promise<WorkflowConfig>;
