import { IEnv, IPreparedSteps, IBitriseWorkflow } from '../models/SidiModel';
import { SidiConfig } from '../main/SidiConfig';
import { GluegunToolbox } from 'gluegun';
export declare class BitriseYaml {
    trigger_map: Array<{
        push_branch: string;
        workflow: string;
    }>;
    workflows: {
        [key: string]: IBitriseWorkflow;
    };
    app: {
        envs?: IEnv[];
    };
    project_type: string;
    internal_workflow_version: string;
    meta: any;
    constructor(sidiConfig: SidiConfig, preparedSteps: IPreparedSteps);
    setTriggerMap(workflowName: string): void;
    getEnvs(workflowName: string, preparedSteps: IPreparedSteps): IEnv[];
    generateYAMLs(toolbox: GluegunToolbox, sidiConfig: SidiConfig, preparedSteps: IPreparedSteps): void;
}
