/**
 * To Promisify FS.exists
 * @param path
 */
export declare function existsAsync(path: any): Promise<boolean>;
/**
 * To Promisify FS.writeFile
 *
 * @param path of the file
 * @param content to add in the file
 * @param encodingFormat encoding format
 */
export declare function writeAsync(path: string, content: string, encodingFormat: string): Promise<boolean>;
/**
 * To Promisify FS.readFile
 *
 * @param path of the file
 * @param encodingFormat encoding format
 */
export declare function readAsync(path: string, encodingFormat: string): Promise<string>;
/**
 * To Promisify FS.appendFile
 *
 * @param path of the file
 * @param content to add in the file
 * @param encodingFormat encoding format
 */
export declare function appendAsync(path: string, content: string, encodingFormat: string): Promise<boolean>;
